discover_error(3)

NAME
discover_error -

SYNOPSIS

#include <discover.h>

  Data Fields
discover_error_code_t code
char * message
discover_create_message_t * create_message

Detailed Description

All functions that perform some action (as opposed to returning a member of a structure, for example) take an argument of this type. It is used to report that the action succeeded, or why it failed.

Definition at line 106 of file discover.h.

Field Documentation

  discover_error_code_t discover_error::code

Return the error code value that is checked

Definition at line 108 of file discover.h.

Referenced by _real_discover_conf_get_bus_map(), _real_discover_conf_get_bus_map_by_name(), discover_conf_append_url(), discover_conf_get_bus_map(), discover_conf_get_bus_map_by_name(), discover_conf_get_urls(), discover_conf_insert_url(), discover_conf_load(), discover_conf_name_to_bus(), discover_device_find(), discover_device_get_data(), discover_error_new(), discover_get_devices(), discover_strerror(), discover_xml_get_busclasses(), discover_xml_get_data_urls(), discover_xml_get_devices(), discover_xml_get_urls(), discover_xml_get_vendors(), discover_xml_merge_busclass_url(), discover_xml_merge_device_url(), discover_xml_merge_vendor_url(), and discover_xml_version_cmp().

  discover_create_message_t* discover_error::create_message

Function pointer into a routine to create a message for us

Definition at line 112 of file discover.h.

Referenced by discover_conf_load(), discover_device_find(), and discover_error_new().

  char* discover_error::message

String containing the message from the last error

Definition at line 110 of file discover.h.

Referenced by discover_error_free(), and discover_error_new().

Author

Generated automatically by Doxygen for discover from the source code.